<?php
if(!isset($modx) || !$modx->isLoggedin()) exit;
if(!$modx->hasPermission('export_static'))
{
	$e->setError(3);
	$e->dumpError();
}

$ph = array();

if(isset($_POST['export']) || isset($_GET['export'])) {
    $tpl = file_get_contents(MODX_MANAGER_PATH . 'actions/tool/export_html_files/execute.tpl');
    $ph['token'] = $modx->manager->makeToken();
}
elseif(isset($_GET['mode'])&&$_GET['mode']=='result'){
    $tpl = file_get_contents(MODX_MANAGER_PATH . 'actions/tool/export_html_files/result.tpl');
    $ph['result'] = include_once(MODX_MANAGER_PATH . 'processors/export_site.processor.php');
}
else {
    $tpl = file_get_contents(MODX_MANAGER_PATH . 'actions/tool/export_html_files/main.tpl');
    if(is_file(MODX_BASE_PATH.'assets/cache/export.lock'))
    	$ph['export.lock'] = '<div class="notice">前回のエクスポートが途中で終了しているため続きから再開します。最初からやり直したい場合は assets/cache/export.lock を削除してください。</div>';
    else $ph['export.lock'] = '';
    $generate_mode = $modx->config['export_generate_mode'] ? $modx->config['export_generate_mode'] : 'crawl';
    $ph['checked_gm_direct'] = ($generate_mode=='direct') ? 'checked' : '';
    $ph['checked_gm_crawl']  = ($generate_mode=='crawl')  ? 'checked' : '';
	$ph['includenoncache1'] = $modx->config['export_includenoncache']==1 ? 'checked' : '';
	$ph['includenoncache0'] = $modx->config['export_includenoncache']!=1 ? 'checked' : '';
	$ph['allow_ids'] = $modx->getOption('export_allow_ids');
	$ph['ignore_ids'] = $modx->getOption('export_ignore_ids');
    $ph['repl_before'] = $modx->getOption('export_repl_before',$modx->config['site_url']);
    $ph['repl_after']  = $modx->getOption('export_repl_after',$modx->config['site_url']);
}

$content = $modx->parseTextSimple($tpl, $_lang, '[%','%]');
$content = $modx->parseTextSimple($content, $_style, '[&','&]');
$content = $modx->parseTextSimple($content, $ph);

echo $content;
